osmium::handler::Handler Class Reference

`#include <handler.hpp>`

Inheritance diagram for osmium::handler::Handler:
[legend]

## Public Member Functions

void | osm_object (const osmium::OSMObject &) const
void | node (const osmium::Node &) const
void | way (const osmium::Way &) const
void | relation (const osmium::Relation &) const
void | area (const osmium::Area &) const
void | changeset (const osmium::Changeset &) const
void | tag_list (const osmium::TagList &) const
void | way_node_list (const osmium::WayNodeList &) const
void | relation_member_list (const osmium::RelationMemberList &) const
void | outer_ring (const osmium::OuterRing &) const
void | inner_ring (const osmium::InnerRing &) const
void | changeset_discussion (const osmium::ChangesetDiscussion &) const
void | flush () const

## Member Function Documentation

void osmium::handler::Handler::area | ( | const osmium::Area & |  | ) | const

inline

void osmium::handler::Handler::changeset | ( | const osmium::Changeset & |  | ) | const

inline

void osmium::handler::Handler::changeset_discussion | ( | const osmium::ChangesetDiscussion & |  | ) | const

inline

void osmium::handler::Handler::flush | ( |  | ) | const

inline

void osmium::handler::Handler::inner_ring | ( | const osmium::InnerRing & |  | ) | const

inline

void osmium::handler::Handler::node | ( | const osmium::Node & |  | ) | const

inline

void osmium::handler::Handler::osm_object | ( | const osmium::OSMObject & |  | ) | const

inline

void osmium::handler::Handler::outer_ring | ( | const osmium::OuterRing & |  | ) | const

inline

void osmium::handler::Handler::relation | ( | const osmium::Relation & |  | ) | const

inline

void osmium::handler::Handler::relation_member_list | ( | const osmium::RelationMemberList & |  | ) | const

inline

void osmium::handler::Handler::tag_list | ( | const osmium::TagList & |  | ) | const

inline

void osmium::handler::Handler::way | ( | const osmium::Way & |  | ) | const

inline

void osmium::handler::Handler::way_node_list | ( | const osmium::WayNodeList & |  | ) | const

inline

The documentation for this class was generated from the following file:

- osmium/handler.hpp